import request from "@/utils/request";

// 通过流转卡号获取信息
export function getTraceabilityInfo(seq: string) {
  return request({
    url: `/api/v1/process/web/traceability/get/${seq}`,
    method: "get",
  });
}

// 通过流转卡号获取标题内容数量
export function getTabCount(data: any) {
  return request({
    url: "/api/v1/process/web/traceability/tabCount",
    method: "post",
    data,
  });
}
// 生产履历列表数据分页
export function getInfo(data: any) {
  return request({
    url: "/api/v1/process/info/page",
    method: "post",
    data,
  });
}
//已采集物料界面数据分页

export function getMaterialsInfo(data: any) {
  return request({
    url: "/api/v1/process/web/traceability/materialsRecordInfo/page",
    method: "post",
    data,
  });
}

export function getAccessoryMaterialsInfo(data: any) {
  return request({
    url: "/api/v1/process/web/traceability/accessoryMaterialRecord/page",
    method: "post",
    data,
  });
}
//记录项数据获取

export function getRecordInfo(data: any) {
  return request({
    url: "/api/v1/process/web/traceability/traceabilityRecordInfo/page",
    method: "post",
    data,
  });
}
//点检数据获取

export function checkRecordInfo(data: any) {
  return request({
    url: "/api/v1/process/web/traceability/checkRecordInfo/page",
    method: "post",
    data,
  });
}
// 生产履历列表数据分页
export function equitRecordInfo(data: any) {
  return request({
    url: "/api/v1/process/web/traceability/equitRecordInfo/page",
    method: "post",
    data,
  });
}
//报故
export function escalationRecordInfo(data: any) {
  return request({
    url: "/api/v1/process/web/traceability/escalationRecordInfo/page",
    method: "post",
    data,
  });
}
//图片采集
export function media(data: any) {
  return request({
    url: "/api/v1/process/media/page",
    method: "post",
    data,
  });
}
export function excel(data: any) {
  return request({
    url: "/api/v1/ProcessFormData/page",
    method: "post",
    data,
  });
}
//工序文件
export function file(data: any) {
  return request({
    url: "/api/v1/process/web/traceability/testRecord/page",
    method: "post",
    data,
  });
}
